Fopen error in 5.0.5

Overzicht Reageren

Sponsored by: Vacatures door Monsterboard

.NET Developer / Innovatieve software / Virtual Re

Functieomschrijving Als .Net developer werken aan innovatieve software waar onder andere gebruik gemaakt wordt van Virtual Reality? Bijdragen aan een organisatie waar je uitgedaagd wordt om continu verbeteringen en ontwikkelpunten te ontdekken en door te voeren? Werken in de omgeving Putten? Reageer dan nu voor meer informatie! Het pro-actief aandragen van verbeteringen voor de bestaande applicatie; Ontwikkelen van nieuwe functionaliteiten; Doorvoeren van aanpassingen en wijzigingen; Verantwoordelijk voor koppelingen met andere systemen; Op de hoogte blijven van technische ontwikkelingen. Functie-eisen Hbo werk- en denkniveau; Een afgeronde IT gerelateerde opleiding; Minimaal 1 jaar professionele ervaring als developer; Aantoonbare kennis van C#; Initiatiefrijke

Bekijk vacature »

Zero Dead

Zero Dead

21/12/2005 17:22:00
Quote Anchor link
Ik krijg, sinds de server is overgezet naar PHP 5.0.5, deze error als ik fopen gebruik:
Code (php)
PHP script in nieuw venster Selecteer het PHP script
1
Warning: fopen(https://DaoPay.com/svc/pincheck?appcode=40725&subkey=1&pin=pybjecavew) [function.fopen]: failed to open stream: HTTP request failed! HTTP/1.1 403 Forbidden in /home/eliteaveng/domains/eliteavengers.org/public_html/payscript.php on line 109


Dit is de code die ik gebruik voor de fopen:
Code (php)
PHP script in nieuw venster Selecteer het PHP script
1
2
3
4
5
6
7
8
9
10
11
12
$prd = $_GET["prodcode"];
$pin = $_GET["pin"];
$err = "";
if ($prd && $prd != "" && $pin && $pin != "") {
$handle =
fopen("https://DaoPay.com/svc/pincheck?appcode=40725&subkey=1&pin=".$pin,
"r");
if ($handle) {
$reply = fgets($handle);
if (substr($reply,0,2) == "ok") {
--------
etc.


Weet iemand wat ik hiertegen moet doen? Ik heb al gezocht op php.net, en kon het niet echt vinden(mijn engels op dat gebied is niet al te best...).
 
PHP hulp

PHP hulp

18/11/2019 12:44:26
 

21/12/2005 17:25:00
Quote Anchor link
de file
pincheck?
appcode=40725&subkey=1&pin=pybjecavew


bestaat niet echt, de file zal pincheck.php heten zoiezo en bov. kun je volgens mij niet met $_GET vars werken bij fopen(volgens mij werkt fopen op de manier waarop bijv windows explorer werkt)
 
Zero Dead

Zero Dead

21/12/2005 17:27:00
Quote Anchor link
Als je 'https://DaoPay.com/svc/pincheck?appcode=40725&subkey=1&pin=pybjecavew' opent komt er een 403 error te staan, deze houd in: 'U bent niet gemachtigd om deze pagina te bekijken.'.
 
Zero Dead

Zero Dead

21/12/2005 19:08:00
Quote Anchor link
Ik heb weer even een beetje aandacht nodig... (Voor deze topic natuurlijk:P)
 

21/12/2005 19:11:00
Quote Anchor link
Hé doe rustig, ga bumpen na twee dagen, niet in twee en halve uur. Staat dat bestand dat je wilt openen op een externe server?
 
Zero Dead

Zero Dead

21/12/2005 19:14:00
Quote Anchor link
Sebastiaan:
Hé doe rustig, ga bumpen na twee dagen, niet in twee en halve uur. Staat dat bestand dat je wilt openen op een externe server?


Ja, maar ik ben zelf al 3 dagen aan het zoeken, en wil nu een keer antwoord krijgen, niks persoonlijks...
 

21/12/2005 19:19:00
Quote Anchor link
Ik zou als ik jou was gewoon de foutmelding vertalen en daardoor tot de conclusie komen dat je geen toegang hebt tot het bestand. (Als je geen Engels kan kan je altijd nog Freetranslation gebruiken(Die welliswaar 'Wat is ASP?' vertaald als 'Is wat SOORT ADDER', maar dat hinderd niet ;)): De waarschuwing: [functie.fopen] : verzuimde open te stromen: het HTTP verzoek mislukt! HTTP/1.1 403 Verboden in op lijn 109)
 
Zero Dead

Zero Dead

21/12/2005 19:20:00
Quote Anchor link
Dus het ligt(of toch met een 'ch'?:P)(zoals ik al dacht) niet aan mijn script?

Irritant dat zei geen forum hebben:(
Gewijzigd op 21/12/2005 19:25:00 door Zero Dead
 

28/12/2005 10:02:00
Quote Anchor link
Weet iemand anders hoe je het moet maken, of licht het echt aan dat zei die map hebben beveiligd?
 
DaeDaluz

DaeDaluz

28/12/2005 10:13:00
Quote Anchor link
http://nl3.php.net/manual/en/wrappers.http.php

Note: HTTPS is supported starting from PHP 4.3.0, if you have compiled in support for OpenSSL.

En de error zegt ook, failed to do a http request, want een http request op een https adres zal niet lukken :)
 
Zero Dead

Zero Dead

28/12/2005 10:33:00
Quote Anchor link
Dus hoe moet ik dit dan veranderen?

Het script leest alleen het antwoord dat dat andere script alleen terug stuurt, zoals dat het script deze code terug stuurt: 'VERIFIED' of 'UNVERIFIED'.

Ik scrijf er niks op, voer alleen een code in via $_GET en krijg een antwoord terug via echo.
 
DaeDaluz

DaeDaluz

28/12/2005 10:50:00
Quote Anchor link
De php module OpenSSL installen/aanzetten :)
 



Overzicht Reageren

 
 

Om de gebruiksvriendelijkheid van onze website en diensten te optimaliseren maken wij gebruik van cookies. Deze cookies gebruiken wij voor functionaliteiten, analytische gegevens en marketing doeleinden. U vindt meer informatie in onze privacy statement.